---
title: tooling::PathRequestReceivedEvent

---

# tooling::PathRequestReceivedEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PathRequestReceivedEvent](Classes/structtooling_1_1PathRequestReceivedEvent.md#function-pathrequestreceivedevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & routerID, std::shared_ptr< const [llarp::path::TransitHop](Classes/structllarp_1_1path_1_1TransitHop.md) > hop) |
| virtual std::string | **[ToString](Classes/structtooling_1_1PathRequestReceivedEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[prevHop](Classes/structtooling_1_1PathRequestReceivedEvent.md#variable-prevhop)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[nextHop](Classes/structtooling_1_1PathRequestReceivedEvent.md#variable-nexthop)**  |
| [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) | **[txid](Classes/structtooling_1_1PathRequestReceivedEvent.md#variable-txid)**  |
| [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) | **[rxid](Classes/structtooling_1_1PathRequestReceivedEvent.md#variable-rxid)**  |
| bool | **[isEndpoint](Classes/structtooling_1_1PathRequestReceivedEvent.md#variable-isendpoint)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function PathRequestReceivedEvent

```cpp
inline PathRequestReceivedEvent(
    const llarp::RouterID & routerID,
    std::shared_ptr< const llarp::path::TransitHop > hop
)
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable prevHop

```cpp
llarp::RouterID prevHop;
```


### variable nextHop

```cpp
llarp::RouterID nextHop;
```


### variable txid

```cpp
llarp::PathID_t txid;
```


### variable rxid

```cpp
llarp::PathID_t rxid;
```


### variable isEndpoint

```cpp
bool isEndpoint = false;
```


-------------------------------

Updated on 2022-11-17 at 22:27:41 +0000